#include <iostream>
#include <vector>

using namespace std;

int main()
{
    size_t number_count;
    cerr << "Enter number count: ";
    cin >> number_count;

    vector<double> numbers(number_count);
    for (size_t i = 0; i < number_count; i++)
    {
        cin >> numbers[i];
    }
    size_t bin_count;
    cerr << "Enter count bin : ";
    cin >> bin_count;
    double min = numbers[0];
    double max = numbers[0];
    for (double x : numbers)
    {

        if(x < min)
        {
            min = x;
        }
        else if (x > max)
        {
            max = x;
        }
    }
    vector<size_t> bins(bin_count);
    double bin_size = (max - min) / bin_count;
    for (size_t i =0; i < number_count; i++)
    {
        bool found = false;
        for (size_t j = 0; (j < bin_count - 1) && !found; j++)
        {
            auto lo = min + j * bin_size;
            auto hi = min + (j+1) * bin_size;
            if ((lo <= numbers[i]) && (numbers[i] < hi))
            {
                bins[j]++;
                found = true;
            }
        }
        if (!found)
        {
            bins[bin_count - 1]++;
        }
    }
    const size_t SCREEN_WIDTH = 80;
    const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;
    size_t bin_max = bins[0];
    for (double y : bins)
    {
        if (y > bin_max)
        {
            bin_max = y;
        }
    }
    for (size_t i = bin_max; i > 0; i--)
    {
        for (size_t bin: bins)
        {
            if (i <= bin)
            {
                cout << " * ";
            }
            else
            {
                cout << "   ";
            }
        }
        cout << endl;
    }
    return 0;
}
